summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPier Luigi Fiorini2018-12-24 14:52:23 +0100
committerPier Luigi Fiorini2018-12-24 14:52:23 +0100
commitc9374b719359c28c7da4155edb0780d508896abb (patch)
tree598b44dd7c1e93d6f33cb2307b6e3bcf087756be
parent8d14d5fdb681bad86c59f9040f847d5ef84aeb30 (diff)
downloadaur-c9374b719359c28c7da4155edb0780d508896abb.tar.gz
Switch to CMake
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD35
2 files changed, 24 insertions, 17 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 04e5a23e058..a409dde12f9 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,8 @@
+# Generated by mksrcinfo v8
+# Mon Dec 24 13:52:22 UTC 2018
pkgbase = liri-eglfs-git
pkgdesc = Liri QPA plugin
- pkgver = 20181008.4.220f59d
+ pkgver = r18.23941d3
pkgrel = 1
url = https://liri.io
arch = i686
@@ -10,7 +12,7 @@ pkgbase = liri-eglfs-git
groups = liri-git
license = GPL3
makedepends = git
- makedepends = liri-qbs-shared-git
+ makedepends = liri-cmake-shared-git
depends = systemd
depends = libdrm
depends = libinput
diff --git a/PKGBUILD b/PKGBUILD
index b73e61b262a..63292fbde74 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
# Rebuild when Qt is updated
pkgname=liri-eglfs-git
-pkgver=20181008.4.220f59d
+pkgver=r18.23941d3
pkgrel=1
pkgdesc="Liri QPA plugin"
arch=('i686' 'x86_64' 'armv6h' 'armv7h')
@@ -12,7 +12,7 @@ license=('GPL3')
depends=('systemd' 'libdrm' 'libinput' 'qt5-declarative' 'qt5-wayland'
'xkeyboard-config' 'libxkbcommon' 'glib2' 'fontconfig' 'freetype2'
'qt5-udev-git' 'libliri-git')
-makedepends=('git' 'liri-qbs-shared-git')
+makedepends=('git' 'liri-cmake-shared-git')
options=(debug !strip)
conflicts=('liri-eglfs')
replaces=('liri-eglfs')
@@ -27,26 +27,31 @@ md5sums=('SKIP')
pkgver() {
cd ${srcdir}/${_gitname}
- echo "$(git log -1 --format="%cd" --date=short | tr -d '-').$(git rev-list --count HEAD).$(git log -1 --format="%h")"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
prepare() {
- cd ${srcdir}/${_gitname}
- git submodule update --init
+ mkdir -p build
}
build() {
- cd ${srcdir}/${_gitname}
- qbs setup-toolchains --type gcc /usr/bin/g++ gcc
- qbs setup-qt /usr/bin/qmake-qt5 qt5
- qbs config profiles.qt5.baseProfile gcc
- qbs build --no-install -d build profile:qt5 \
- modules.lirideployment.prefix:/usr \
- modules.lirideployment.qmlDir:/usr/lib/qt/qml \
- modules.lirideployment.pluginsDir:/usr/lib/qt/plugins
+ cd build
+ cmake ../${_gitname} \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DBUILD_TESTING:BOOL=OFF \
+ -DINSTALL_SYSCONFDIR=/etc \
+ -DINSTALL_LIBDIR=/usr/lib \
+ -DINSTALL_LIBEXECDIR=/usr/lib \
+ -DINSTALL_QMLDIR=/usr/lib/qt/qml \
+ -DINSTALL_PLUGINSDIR=/usr/lib/qt/plugins
+ make
}
package() {
- cd ${srcdir}/${_gitname}
- qbs install -d build --no-build -v --install-root $pkgdir profile:qt5
+ cd build
+ make DESTDIR="$pkgdir" install
}